<?php
namespace Lc\SovBundle\Model\Cms;


use Doctrine\ORM\Mapping as ORM;
use Gedmo\Mapping\Annotation as Gedmo;
use Lc\SovBundle\IModel\Cms\BlameableInterface;
use Lc\SovBundle\IModel\Cms\DevAliasInterface;
use Lc\SovBundle\IModel\Cms\SortableInterface;
use Lc\SovBundle\IModel\Cms\TimestampableInterface;
use Lc\SovBundle\IModel\EntityInterface;
use Lc\SovBundle\IModel\Translation\TranslatableInterface;
use Lc\SovBundle\Model\Cms\BlameableTrait;
use Lc\SovBundle\Model\Cms\DevAliasTrait;
use Lc\SovBundle\Model\Cms\SortableTrait;
use Lc\SovBundle\Model\Cms\TimestampableTrait;
use Lc\SovBundle\Model\Translation\TranslatableTrait;
use Lc\SovBundle\Entity\Translation\EntityTranslation;

/**
 * @Gedmo\TranslationEntity (class=EntityTranslation::class)
 */

abstract class File implements SortableInterface, BlameableInterface, TimestampableInterface, TranslatableInterface, DevAliasInterface, EntityInterface
{
        use DevAliasTrait;
        use BlameableTrait;
        use TimestampableTrait;
        use TranslatableTrait;
        use SortableTrait;

        /**
         * @ORM\Column(type="string", length=255, nullable=true)
         */
        protected $path;

        /**
         * @Gedmo\Translatable
         * @ORM\Column(type="string", length=255, nullable=true)
         */
        protected $legend;


        public function __toString(){
                return $this->getLegend();
        }

        public function getPath(): ?string
        {
                return $this->path;
        }

        public function setPath(?string $path): self
        {
                $this->path = $path;

                return $this;
        }


        public function getLegend(): ?string
        {
                return $this->legend;
        }

        public function setLegend(?string $legend): self
        {
                $this->legend = $legend;

                return $this;
        }
    
}
